// This source code file was last time modified by Igor UA3DJY on March 15th, 2018
// All changes are shown in the patch file coming together with the full JTDX source code.

#include "about.h"

#include <QCoreApplication>
#include <QString>

#include "revision_utils.hpp"

#include "ui_about.h"
#include "moc_about.cpp"

CAboutDlg::CAboutDlg(QWidget *parent) :
  QDialog(parent),
  ui(new Ui::CAboutDlg)
{
  ui->setupUi(this);

  ui->labelTxt->setText ("<html><h2>"
                         + QCoreApplication::applicationName () + " v"
	 					 + QCoreApplication::applicationVersion () + "  HF software" + "</h2>\n\n"
                         "It is modified WSJT-X software forked from WSJT-X r6462, <br>"
						 "FT8 code is forked from WSJT-X v1.8 r8193. <br>"
                         "JTDX supports FT8, JT9, T10 and JT65A digital modes for HF <br>"
                         "amateur radio communication, focused on DXing <br>"
                         "and being shaped by community of DXers. <br>"
						 "&copy; 2016-2018 by Igor Chernikov UA3DJY and Arvo Järve ES1JA. <br>"
                         "It is created with contributions from DK7UY, DO1IP, <br>"
						 "ES4RLH, G7OED, JA2BQX, JP1LRT, LU9DO, MM0HVU, NL9222,  <br>"
						 "OE1MWW, R3BB, RK3AOL, RA4UDC, RW4O, R0JF, SV1IYF, <br>"
                         "UA3ALE, US-E-12, VE3NEA, VK3AMA, VK6KXW, VK7YUM <br>"
                         "and LY3BG family: Vytas and Rimas Kudelis. <br><br>"
                         "&copy; 2001-2018 by Joe Taylor, K1JT, with grateful <br>"
                         "acknowledgment for contributions from AC6SL, AE4JY, <br>"
                         "DJ0OT, G3WDG, G4KLA, G4WJS, IV3NWV, IW3RAB, K3WYC, K9AN, <br>"
                         "KA6MAL, KA9Q, KB1ZMX, KD6EKQ, KI7MT, KK1D, ND0B, PY2SDR, <br>"
                         "VE1SKY, VK3ACF, VK4BDJ, VK7MO, W4TI, W4TV, and W9MDB.<br>"
						 "<br><br>"
						 "JTDX is licensed under the terms of Version3<br>"
						 "of the GNU General Public License(GPL)<br>"
                         "<a href=\"https://www.gnu.org/licenses/gpl-3.0.txt\">"
                         "https://www.gnu.org/licenses/gpl-3.0.txt</a>");
}

CAboutDlg::~CAboutDlg()
{
}
