! This source code file was last time modified by Igor UA3DJY on May 16th, 2018
! All changes are shown in the patch file coming together with the full JTDX source code.

subroutine genft8refsig(itone,cref,f0)
  !$ use omp_lib
  complex cref(151680) !NFRAME=1920*79
  integer itone(79)
  real*8 dphi(79)
  real*8 twopi,phi,dt,xnsps
  data twopi/0.d0/
  save twopi
  if( twopi .lt. 0.1 ) twopi=8.d0*atan(1.d0)

  xnsps=1920.d0
  dt=1.d0/12000.d0
  phi=0.d0
!$omp parallel shared (dphi,twopi,f0,dt,itone,xnsps) private (i)
!$omp do
  do i=1,79
    dphi(i)=twopi*(f0*dt+itone(i)/xnsps)
  enddo
!$omp end do
!$omp end parallel
  k=1
  do i=1,79
    do is=1,1920
      cref(k)=cmplx(cos(phi),sin(phi))
      phi=mod(phi+dphi(i),twopi)
      k=k+1
    enddo
  enddo

  return
end subroutine genft8refsig
